﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.MainForm.WPF;

namespace HeuristicLab.OKB.Cockpit {

  public class FileMenuItem : WPFMenuItem, IOKBCockpitItem {

    public override string Name {
      get { return "File"; }
    }
    public override int Position {
      get { return 0; }
    }
    public override void Execute() {      
    }
  }

  public class ExtrasRunGCMenuItem : WPFMenuItem, IOKBCockpitItem {

    public override string Name {
      get { return "Run Garbage Collector"; }
    }

    public override IEnumerable<string> Structure {
      get {
        return new[] { "Extras" };
      }
    }

    public override int Position {
      get { return 9999; }
    }

    public override void Execute() {
      GC.Collect();
    }
  }

  public class FileExitMenuItem : WPFMenuItem, IOKBCockpitItem {

    public override string Name {
      get { return "Exit"; }
    }

    public override int Position {
      get { return 9999; }
    }
    
    public override IEnumerable<string> Structure {
      get {
        return new[] { "File" };
      }
    }

    public override void Execute() {
      MainForm.MainFormManager.MainForm.Close();
    }

  }  
}
